## chocolate-doom 3.0.1%2Breally3.0.0%2Bgit1017

=== CMakeLists.txt ===
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

cmake_minimum_required(VERSION 3.7.2)
project("Chocolate Doom" VERSION 3.0.0 LANGUAGES C)

# Autotools variables
set(top_srcdir ${CMAKE_CURRENT_SOURCE_DIR})
set(top_builddir ${CMAKE_CURRENT_BINARY_DIR})

# AC_INIT variables
set(PACKAGE_NAME "${PROJECT_NAME}")
set(PACKAGE_TARNAME "chocolate-doom")
set(PACKAGE_VERSION "${PROJECT_VERSION}")
set(PACKAGE_STRING "${PROJECT_NAME} ${PROJECT_VERSION}")
set(PACKAGE_BUGREPORT "chocolate-doom-dev-list@chocolate-doom.org")

string(REGEX REPLACE " Doom$" "" PACKAGE_SHORTNAME "${PACKAGE_NAME}")
set(PACKAGE_COPYRIGHT "Copyright (C) 1993-2017")
set(PACKAGE_LICENSE "GNU General Public License, version 2")

# Any settings that should apply to all targets in this directory and all
# subdirectories should go here.  Use judiciously.
if(MSVC)
    add_definitions("/D_CRT_SECURE_NO_WARNINGS" "/D_CRT_SECURE_NO_DEPRECATE"
                    "/D_CRT_NONSTDC_NO_DEPRECATE")
else()
    add_compile_options("-Wall" "-Wdeclaration-after-statement"
                        "-Wredundant-decls")
endif()

find_package(SDL2 2.0.7)
find_package(SDL2_mixer 2.0.2)
find_package(SDL2_net 2.0.0)

# Check for libsamplerate.
find_package(samplerate)
if(SAMPLERATE_FOUND)
    set(HAVE_LIBSAMPLERATE TRUE)
endif()

# Check for libpng.
find_package(PNG)
if(PNG_FOUND)
    set(HAVE_LIBPNG TRUE)
endif()

find_package(m)

include(CheckSymbolExists)
include(CheckIncludeFile)
check_symbol_exists(strcasecmp "strings.h" HAVE_DECL_STRCASECMP)
check_symbol_exists(strncasecmp "strings.h" HAVE_DECL_STRNCASECMP)
check_include_file("dirent.h" HAVE_DIRENT_H)

string(CONCAT WINDOWS_RC_VERSION "${PROJECT_VERSION_MAJOR}, "
    "${PROJECT_VERSION_MINOR}, ${PROJECT_VERSION_PATCH}, 0")

# Without a hyphen. This is used for the bash-completion scripts.
string(TOLOWER "${PACKAGE_SHORTNAME}" PROGRAM_SPREFIX)

# With a hyphen, used almost everywhere else.
set(PROGRAM_PREFIX "${PROGRAM_SPREFIX}-")

configure_file(cmake/config.h.cin config.h)

configure_file(src/resource.rc.in src/resource.rc)
configure_file(src/setup-res.rc.in src/setup-res.rc)
configure_file(src/setup/setup-manifest.xml.in src/setup/setup-manifest.xml)

foreach(SUBDIR textscreen midiproc opl pcsound src)
    add_subdirectory("${SUBDIR}")
endforeach()

=== src/doom/CMakeLists.txt ===
add_library(doom STATIC
            am_map.c        am_map.h
            deh_ammo.c
            deh_bexstr.c
            deh_cheat.c
            deh_doom.c
            deh_frame.c
            deh_misc.c      deh_misc.h
            deh_ptr.c
            deh_sound.c
            deh_thing.c
            deh_weapon.c
                            d_englsh.h
            d_items.c       d_items.h
            d_main.c        d_main.h
            d_net.c
                            doomdata.h
            doomdef.c       doomdef.h
            doomstat.c      doomstat.h
                            d_player.h
            dstrings.c      dstrings.h
                            d_textur.h
                            d_think.h
            f_finale.c      f_finale.h
            f_wipe.c        f_wipe.h
            g_game.c        g_game.h
            hu_lib.c        hu_lib.h
            hu_stuff.c      hu_stuff.h
            info.c          info.h
            m_menu.c        m_menu.h
            m_random.c      m_random.h
            p_ceilng.c
            p_doors.c
            p_enemy.c
            p_floor.c
            p_inter.c       p_inter.h
            p_lights.c
                            p_local.h
            p_map.c
            p_maputl.c
            p_mobj.c        p_mobj.h
            p_plats.c
            p_pspr.c        p_pspr.h
            p_saveg.c       p_saveg.h
            p_setup.c       p_setup.h
            p_sight.c
            p_spec.c        p_spec.h
            p_switch.c
            p_telept.c
            p_tick.c        p_tick.h
            p_user.c
            r_bsp.c         r_bsp.h
            r_data.c        r_data.h
                            r_defs.h
            r_draw.c        r_draw.h
                            r_local.h
            r_main.c        r_main.h
            r_plane.c       r_plane.h
            r_segs.c        r_segs.h
            r_sky.c         r_sky.h
                            r_state.h
            r_things.c      r_things.h
            s_sound.c       s_sound.h
            sounds.c        sounds.h
            statdump.c      statdump.h
            st_lib.c        st_lib.h
            st_stuff.c      st_stuff.h
            wi_stuff.c      wi_stuff.h)

target_include_directories(doom PRIVATE "../" "${CMAKE_CURRENT_BINARY_DIR}/../../")
target_link_libraries(doom SDL2::SDL2 SDL2::mixer SDL2::net)

## chocolate-doom 1.6.0

=== debian/changelog ===
chocolate-doom (1.6.0-1) unstable; urgency=low

  * New upstream version.

 -- Jon Dowland <jmtd@debian.org>  Thu, 19 May 2011 22:29:28 +0100

chocolate-doom (1.5.0-1) experimental; urgency=low

  * New upstream version.

 -- Jon Dowland <jmtd@debian.org>  Tue, 18 Jan 2011 23:40:01 +0000

chocolate-doom (1.4.0-2) unstable; urgency=low

  * Incorporate specific BSD license information into
    debian/copyright, to please lintian.
  * bump standards version.

 -- Jon Dowland <jmtd@debian.org>  Fri, 03 Sep 2010 14:23:40 +0100

chocolate-doom (1.4.0-1) unstable; urgency=low

  * New upstream version.
  * bump Standards-Version

 -- Jon Dowland <jmtd@debian.org>  Sun, 25 Jul 2010 18:04:08 +0100

chocolate-doom (1.3.0-1) unstable; urgency=low

  * new upstream version. Closes: #548498
  * update debian/copyright to correct mis-interpratations
    of the DEP-5 proposed syntax.
  * bump Standards-Version
  * add chocolate-setup and chocolate-server to the menu file

 -- Jon Dowland <jmtd@debian.org>  Mon, 15 Mar 2010 23:08:20 +0000

chocolate-doom (1.2.1-1) unstable; urgency=low

  * Initial Release. Closes: #351594.
    * This package has been in preparation since August 2007.
      Thanks to Cyril Brulebois, Barry deFreese, Miriam Ruiz,
      Ansgar Burchardt and Linas Žvirblis for their work on
      it during this time!
  * Conflict with freedoom and freedm prior to 0.6.4-4, which
    installed an alternative for doom2.wad. chocolate-doom
    cannot be used in conjunction with freedoom.
  * install alternatives for doom(6).
  * Thanks to Chris Lamb for pointing out debian/copyright omissions.

 -- Jon Dowland <jmtd@debian.org>  Sat, 12 Sep 2009 11:05:00 +0100

=== debian/control ===
Source: chocolate-doom
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Jon Dowland <jmtd@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, libsdl1.2-dev (>= 1.2.2-3.1), libsdl-mixer1.2-dev (>= 1.2.0-1.1), libsdl-net1.2-dev (>= 1.2.0-5.1), python (>= 2.4)
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-games/chocolate-doom.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/chocolate-doom.git
Homepage: http://chocolate-doom.org/
DM-Upload-Allowed: yes

Package: chocolate-doom
Architecture: any
Depends: ${shlibs:Depends}, doom-wad, ${misc:Depends}
Conflicts: freedoom (<< 0.6.4-4), freedm (<< 0.6.4-4)
Description: Doom engine closely-compatible with vanilla doom
 Chocolate doom is a modern, cross-platform doom engine with
 the major design goal of emulating the behaviour of vanilla
 Doom as close as is possible. For example, chocolate doom
 can read and write vanilla doom save games.
 .
 Unlike most modern doom engines, chocolate doom is not
 derived from the Boom source-port and does not inherit its
 features (or bugs).
 .
 Chocolate doom requires a doom-wad to play. If you have a copy
 of the commercial games Doom or Doom 2, you can generate a
 doom-wad package using "game-data-packager".

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	
	ln -sf /usr/share/misc/config.sub ./autotools/config.sub
	ln -sf /usr/share/misc/config.guess ./autotools/config.guess
	rm -f config.cache
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	
	if [ -f Makefile ]; then \
		[ -d debian/tmp ] || mkdir debian/tmp; \
		[ ! -f rpm.spec ] || mv rpm.spec debian/tmp/; \
		[ ! -f setup/setup-res.rc ] || mv setup/setup-res.rc debian/tmp/; \
		[ ! -f src/resource.rc ] || mv  src/resource.rc debian/tmp/; \
		$(MAKE) distclean; \
		[ ! -f debian/tmp/rpm.spec ] || mv debian/tmp/rpm.spec .; \
		[ ! -f debian/tmp/setup-res.rc ] || mv debian/tmp/setup-res.rc setup/; \
		[ ! -f debian/tmp/resource.rc ] || mv debian/tmp/resource.rc src/; \
	fi
	
	# stuff not cleaned up properly (yet)
	for i in data/chocolate-doom.png data/chocolate-setup.png \
		setup/chocolate-setup.desktop src/chocolate-doom.desktop \
		src/chocolate-doom-screensaver.desktop; do \
		[ ! -f "$$i" ] || rm -f "$$i"; \
	done
	
	# stuff we don't want in diff.gz
	find -name config.sub   -print0 | xargs -0 -r rm -f \;
	find -name config.guess -print0 | xargs -0 -r rm -f \;
	
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/chocolate-doom
	rm -f debian/chocolate-doom/usr/share/doc/chocolate-doom/INSTALL

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installmenu
	dh_installman
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## chocolate-doom 1.7.0

=== debian/changelog ===
chocolate-doom (1.7.0-3) unstable; urgency=low

  * Remove deprecated dm-upload-allowed field from
    the control file.
  * Provides: doom-engine. Closes: #692762.
  * Remove duplicate upstream Changelog. This addresses:
    * duplicate-changelog-files
      usr/share/doc/chocolate-doom/ChangeLog.gz                             
      usr/share/doc/chocolate-doom/changelog.gz
  * Rework copyright file to current DEP-5 format. This addresses:
    * obsolete-field-in-dep5-copyright maintainer upstream-contact
    * obsolete-field-in-dep5-copyright name upstream-name
    * obsolete-field-in-dep5-copyright format-specification format
    * comma-separated-files-in-dep5-copyright paragraph
    * missing-license-paragraph-in-dep5-copyright public domain

 -- Jon Dowland <jmtd@debian.org>  Tue, 05 Feb 2013 22:17:17 +0000

chocolate-doom (1.7.0-2) unstable; urgency=low

  * Add myself back to uploaders.

 -- Jon Dowland <jmtd@debian.org>  Tue, 06 Nov 2012 21:28:00 +0000

chocolate-doom (1.7.0-1) unstable; urgency=low

  * New upstream version.
  * Remove debian/patches/fix_desktop-entry-uses-reserved-category.patch:
    no longer necessary.
  * Remove myself from uploaders.

 -- Jon Dowland <jmtd@debian.org>  Sat, 30 Jun 2012 16:13:20 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
 Vcs-Git: git://git.debian.org/git/pkg-games/chocolate-doom.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/chocolate-doom.git
 Homepage: http://chocolate-doom.org/
-DM-Upload-Allowed: yes
 
 Package: chocolate-doom
 Architecture: any
 Depends: ${shlibs:Depends}, doom-wad, ${misc:Depends}
+Provides: doom-engine
 Conflicts: freedoom (<< 0.6.4-4), freedm (<< 0.6.4-4)
 Description: Doom engine closely-compatible with vanilla doom
  Chocolate doom is a modern, cross-platform doom engine with

=== debian/rules ===
--- 
+++ 
@@ -66,7 +66,8 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/chocolate-doom
-	rm -f debian/chocolate-doom/usr/share/doc/chocolate-doom/INSTALL
+	rm -f debian/chocolate-doom/usr/share/doc/chocolate-doom/INSTALL \
+	      debian/chocolate-doom/usr/share/doc/chocolate-doom/ChangeLog
 
 # Build architecture-independent files here.
 binary-indep: build install

=== debian/watch ===
# Watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Find new files on sourceforge, for debscripts >= 2.9
opts="dversionmangle=s/[+.]dfsg(.?\d+)?$//" \
http://sf.net/chocolate-doom/chocolate-doom-(.+)\.tar\.gz

## chocolate-doom 2.0.0

=== debian/changelog ===
chocolate-doom (2.0.0-1ubuntu1) trusty; urgency=low

  * Backport unreleased Debian change to resolve installation race that
    caused FTBFS (Closes: #737803).

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 14 Mar 2014 14:19:20 -0400

chocolate-doom (2.0.0-1) unstable; urgency=low

  * New upstream release (Closes: #731745). This new major release of
    Chocolate Doom has been released in honor of Doom's 20th anniversary.
    * The codebase now includes Chocolate Heretic and Chocolate
      Hexen. These are based on the GPL source code released by
      Raven Software.
    * Also included is Chocolate Strife. This was developed through a
      mammoth four year reverse engineering project conducted by
      James "Quasar" Haley and Samuel "Kaiser" Villareal. The result
      is the most accurate reproduction of Strife to date, including
      full demo and savegame compatibility. See README.Strife for
      more information.

  * Add myself to Uploaders.
  * Add menu icons in XPM format and add icon entries to menu files
    (Closes: #727028).
  * Disable silent build rules.
  * Fix vcs-field-not-canonical.
  * Turn conflicts-with-version into Breaks.
  * Upstream moved from Sourceforge to Github, update debian/watch file
    accordingly and mangle '-beta' suffixes in upstream version numbers.
  * Bump debhelper compat to 9 to enable hardening flags, convert
    debian/rules to short style, avoid redundant documentation and
    duplicate chocolate-*-setup files
  * Take into account that Chocolate Doom now includes Chocolate Heretic,
    Chocolate Hexen and Chocolate Strife. Provide the corresponding engines,
    install the alternatives and update the package description accordingly.
  * Update debian/copyright.
  * Run "wrap-and-sort -asb".
  * Add Build-Depends: libsamplerate0-dev.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 23 Dec 2013 16:23:14 +0100

=== debian/control ===
Source: chocolate-doom
Section: contrib/games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Jon Dowland <jmtd@debian.org>,
 Fabian Greffrath <fabian+debian@greffrath.com>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 libsamplerate0-dev,
 libsdl-mixer1.2-dev (>= 1.2.0-1.1),
 libsdl-net1.2-dev (>= 1.2.0-5.1),
 libsdl1.2-dev (>= 1.2.2-3.1),
 python (>= 2.4)
Standards-Version: 3.9.1
Vcs-Git: git://anonscm.debian.org/pkg-games/chocolate-doom.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/chocolate-doom.git
Homepage: http://chocolate-doom.org/

Package: chocolate-doom
Architecture: any
Depends:
 doom-wad-shareware | doom-wad | heretic-wad | hexen-wad | strife-wad | game-data-packager,
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 doom-engine,
 heretic-engine,
 hexen-engine,
 strife-engine
Breaks:
 freedm (<< 0.6.4-4),
 freedoom (<< 0.6.4-4)
Description: Doom engine closely-compatible with vanilla doom
 Chocolate Doom aims to accurately reproduce the original DOS version of
 Doom and other games based on the Doom engine in a form that can be
 run on modern computers. Unlike most modern Doom engines, Chocolate Doom
 is not derived from the Boom source port and does not inherit its
 features (or bugs).
 .
 Originally, Chocolate Doom was only a Doom source port. The project
 now includes ports of Heretic and Hexen, and Strife.
 .
 Chocolate Doom requires game data to play. Commercial game data can be
 packaged using "game-data-packager". Chocolate Doom supports all flavors
 of Doom, including The Ultimate Doom, Doom 2 and Final Doom as well as
 Chex(R) Quest and HACX. Heretic, Hexen and Strife are supported by
 Chocolate Heretic, Chocolate Hexen and Chocolate Strife, respectively,
 which are also included in this package.

=== debian/rules ===
#!/usr/bin/make -f

debian/chocolate-doom.xpm: data/doom.png
	convert -resize 32x32 $^ $@

debian/chocolate-setup.xpm: data/setup.png
	convert -resize 32x32 $^ $@

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-silent-rules

override_dh_auto_install:
	dh_auto_install --max-parallel=1 -- \
		SETUP_BINARIES=chocolate-setup \
		DOC_FILES="README README.OPL TODO" \
		hereticdocsdir=/usr/share/doc/chocolate-doom \
		hexendocsdir=/usr/share/doc/chocolate-doom \
		strifedocsdir=/usr/share/doc/chocolate-doom

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=3
opts="uversionmangle=s/-/~/" \
http://githubredir.debian.net/github/fragglet/chocolate-doom/ \
chocolate-doom-(.*).tar.gz

## chocolate-doom 2.1.0

=== debian/changelog ===
chocolate-doom (2.1.0-1) unstable; urgency=medium

  * Imported Upstream version 2.1.0
    + Fixes conflicting array sizes for the "spechit" variable
    (Closes: #748393), thanks Michael Tautschnig.
  * README.OPL has been renamed to README.Music and
    the PHILOSOPHY document has been added.
  * Add "Build-Depends: libpng12-dev" for screenshots in PNG format.
  * Add "Suggests: zenity" for native error boxes.
  * Bump Build-Depends to python (>= 2.5) (Closes: #747411),
    thanks PICCORO McKAY Lenz.
  * Update debian/copyright both in terms of years and of changes to
    the upstream copyright headers.
  * Bump Standards-Version to 3.9.6.
  * Add lintian-overrides for INSTALL.*, they contain legitimate information.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Thu, 23 Oct 2014 14:30:44 +0200

chocolate-doom (2.0.0-2) unstable; urgency=medium

  * Fix upstream GIT repository location in debian/watch.
  * Fix race during parallel installation (Closes: #737803),
    thanks Andreas Beckmann.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 05 May 2014 10:39:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: chocolate-doom
 Section: contrib/games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Jon Dowland <jmtd@debian.org>,
  Fabian Greffrath <fabian+debian@greffrath.com>
 Build-Depends:
  debhelper (>= 9),
  dh-autoreconf,
+ libpng12-dev,
  libsamplerate0-dev,
  libsdl-mixer1.2-dev (>= 1.2.0-1.1),
  libsdl-net1.2-dev (>= 1.2.0-5.1),
  libsdl1.2-dev (>= 1.2.2-3.1),
- python (>= 2.4)
-Standards-Version: 3.9.1
+ python (>= 2.5)
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-games/chocolate-doom.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/chocolate-doom.git
 Homepage: http://chocolate-doom.org/
@@ -25,6 +25,8 @@
  doom-wad-shareware | doom-wad | heretic-wad | hexen-wad | strife-wad | game-data-packager,
  ${misc:Depends},
  ${shlibs:Depends}
+Suggests:
+ zenity
 Provides:
  doom-engine,
  heretic-engine,

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 override_dh_auto_install:
 	dh_auto_install --max-parallel=1 -- \
 		SETUP_BINARIES=chocolate-setup \
-		DOC_FILES="README README.OPL TODO" \
+		DOC_FILES="README README.Music PHILOSOPHY TODO" \
 		hereticdocsdir=/usr/share/doc/chocolate-doom \
 		hexendocsdir=/usr/share/doc/chocolate-doom \
 		strifedocsdir=/usr/share/doc/chocolate-doom

=== debian/watch ===
version=3
opts="uversionmangle=s/-/~/" \
http://githubredir.debian.net/github/chocolate-doom/chocolate-doom/ \
chocolate-doom-(.*).tar.gz

## chocolate-doom 2.2.0

=== debian/changelog ===
chocolate-doom (2.2.0-1) unstable; urgency=medium

  * Imported Upstream version 2.2.0
    + The Hexen four level demo IWAD is now supported (Closes: #787116).
    + A couple of source files that were in the previous release and
      were GPL3 have been replaced by GPL2 equivalents. Previous
      releases that included these files should be retroactively
      considered GPL3 (Closes: #785122).
      - Update debian/copyright accordingly.
  * Update debian/watch to directly watch the github project page.
  * Remove all patches, applied upstream.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 12 Jun 2015 14:58:28 +0200

chocolate-doom (2.1.0-2) unstable; urgency=medium

  * Split the Heretic, Hexen and Strife ports into separate packages,
    as per upstream's request (Closes: #747256).
    + Introduce an additional chocolate-common package that contains the
      dedicated server for multiplayer games and the common configuration tool
      for all four ports as well as the icons.
    + Split the chocolate-doom.{install,links,lintian-overrides,menu} files
      among the newly added packages.
    + Add Breaks and Replaces accordingly.
    + Add "Recommends: chocolate-heretic, chocolate-hexen, chocolate-strife"
      to chocolate-doom, so these ports are not lost on upgrades.
    + Remove the alternatives for heretic, hexen and strife upon upgrade of
      the chocolate-doom package.
    + Append "-Wl,--as-needed -Wl,-z,defs" to LDFLAGS to avoid needless
      library dependencies for the chocolate-common package.
    + Call "dh_install --list-missing". It is alright if the chocolate-*-setup.6
      manpages are reported missing, they are installed as symlinks.
  * Move the "chocolate-doom" source and binary packages from the
    "contrib/games" section into the main "games" section \o/
    (Closes: #766713, 766803).
    + Since freedoom 0.9 the freedm package contains a fully vanilla-compatible
      data file which satisfies the chocolate-doom package's dependency
      on such data in order to be fully playable and operational.
    + Add "Depends: freedm (>= 0.9)" as the preferred alternative.
    + Mention where to find free game data in the extended package description.
    + The Heretic, Hexen and Strife ports remain in "contrib/games", though.
  * Apply a series of patches cherry-picked from upstream GIT to fix the
    hyphen-used-as-minus-sign lintian warning.
  * Trim down package dependencies.
    + All four ports now merely have "Recommends: game-data-packager".
    + The chocolate-doom package has "Recommends: freedm | game-data-packager"
      and "Breaks: freedm (<< 0.9)".
  * Add license information for src/aes_prng.c and update copyright years
    in debian/copyright.
  * Change the Uploaders field to my <fabian@debian.org> account. \o/

 -- Fabian Greffrath <fabian@debian.org>  Mon, 18 May 2015 10:25:07 +0200

=== debian/control ===
Source: chocolate-doom
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Jon Dowland <jmtd@debian.org>,
 Fabian Greffrath <fabian@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 libpng12-dev,
 libsamplerate0-dev,
 libsdl-mixer1.2-dev (>= 1.2.0-1.1),
 libsdl-net1.2-dev (>= 1.2.0-5.1),
 libsdl1.2-dev (>= 1.2.2-3.1),
 python (>= 2.5)
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-games/chocolate-doom.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/chocolate-doom.git
Homepage: http://chocolate-doom.org/

Package: chocolate-common
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 zenity
Breaks:
 chocolate-doom (<< 2.1.0-2~)
Replaces:
 chocolate-doom (<< 2.1.0-2~)
Description: Common files for Chocolate Doom/Heretic/Hexen/Strife
 Chocolate Doom aims to accurately reproduce the original DOS version of
 Doom and other games based on the Doom engine in a form that can be
 run on modern computers. Unlike most modern Doom engines, Chocolate Doom
 is not derived from the Boom source port and does not inherit its
 features (or bugs).
 .
 Originally, Chocolate Doom was only a Doom source port. The project
 now includes ports of Heretic and Hexen, and Strife.
 .
 This package contains the dedicated server for multiplayer games and
 the common configuration tool for all four ports.

Package: chocolate-doom
Architecture: any
Depends:
 chocolate-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 chocolate-heretic,
 chocolate-hexen,
 chocolate-strife,
 freedm | game-data-packager
Provides:
 doom-engine
Breaks:
 freedm (<< 0.9),
 freedoom (<< 0.6.4-4)
Description: Doom engine closely-compatible with Vanilla Doom
 Chocolate Doom aims to accurately reproduce the original DOS version of
 Doom and other games based on the Doom engine in a form that can be
 run on modern computers. Unlike most modern Doom engines, Chocolate Doom
 is not derived from the Boom source port and does not inherit its
 features (or bugs).
 .
 Chocolate Doom is a port of Id Software's 1993 game "Doom" that is designed
 to behave as similar to the original DOS version of Doom as is possible.
 .
 Chocolate Doom requires game data to play. Free game data is available in the
 freedm package. Commercial game data can be packaged using
 "game-data-packager". Chocolate Doom supports all flavors of Doom, including
 The Ultimate Doom, Doom 2 and Final Doom as well as Chex(R) Quest, HACX and
 FreeDM.

Package: chocolate-heretic
Section: contrib/games
Architecture: any
Depends:
 chocolate-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 game-data-packager
Provides:
 heretic-engine
Breaks:
 chocolate-doom (<< 2.1.0-2~)
Replaces:
 chocolate-doom (<< 2.1.0-2~)
Description: Heretic engine closely-compatible with Vanilla Heretic
 Chocolate Doom aims to accurately reproduce the original DOS version of
 Doom and other games based on the Doom engine in a form that can be
 run on modern computers. Unlike most modern Doom engines, Chocolate Doom
 is not derived from the Boom source port and does not inherit its
 features (or bugs).
 .
 Chocolate Heretic is a port of Raven Software's 1994 game "Heretic" that
 aims to behave as similar to the original DOS version of Heretic as possible.
 .
 Chocolate Heretic requires game data to play. Commercial game data can be
 packaged using "game-data-packager".

Package: chocolate-hexen
Section: contrib/games
Architecture: any
Depends:
 chocolate-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 game-data-packager
Provides:
 hexen-engine
Breaks:
 chocolate-doom (<< 2.1.0-2~)
Replaces:
 chocolate-doom (<< 2.1.0-2~)
Description: Hexen engine closely-compatible with Vanilla Hexen
 Chocolate Doom aims to accurately reproduce the original DOS version of
 Doom and other games based on the Doom engine in a form that can be
 run on modern computers. Unlike most modern Doom engines, Chocolate Doom
 is not derived from the Boom source port and does not inherit its
 features (or bugs).
 .
 Chocolate Hexen is a port of Raven Software's 1995 game "Hexen" that aims
 to behave as similar to the original DOS version of Hexen as possible.
 .
 Chocolate Hexen requires game data to play. Commercial game data can be
 packaged using "game-data-packager".

Package: chocolate-strife
Section: contrib/games
Architecture: any
Depends:
 chocolate-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 game-data-packager
Provides:
 strife-engine
Breaks:
 chocolate-doom (<< 2.1.0-2~)
Replaces:
 chocolate-doom (<< 2.1.0-2~)
Description: Strife engine closely-compatible with Vanilla Strife
 Chocolate Doom aims to accurately reproduce the original DOS version of
 Doom and other games based on the Doom engine in a form that can be
 run on modern computers. Unlike most modern Doom engines, Chocolate Doom
 is not derived from the Boom source port and does not inherit its
 features (or bugs).
 .
 Chocolate Strife is an accurate and complete recreation of Rogue
 Entertainment's "Strife: Quest for the Sigil". It was created through more
 than two years of reverse engineering effort with the blessings of the
 original programmers of the game.
 .
 Chocolate Strife requires game data to play. Commercial game data can be
 packaged using "game-data-packager".

## chocolate-doom 2.2.1

=== debian/changelog ===
chocolate-doom (2.2.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Change libpng12-dev build-dependency to libpng-dev, to ease libpng
    transition. (Closes: #810177) 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Jan 2016 18:04:56 +0100

chocolate-doom (2.2.1-2) unstable; urgency=medium

  * Import patch from upstream GIT to let the MRJONES cheat in
    Chocolate Hexen report the same version string as HEXEN.EXE.
    As a side-effect, this enables this package to build reproducibly.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 30 Nov 2015 22:03:28 +0100

chocolate-doom (2.2.1-1) unstable; urgency=medium

  * Imported Upstream version 2.2.1
  * Install upstream appdata files and remove them in the clean rule.
  * Provide unique license names in debian/copyright.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 18 Sep 2015 09:47:59 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper (>= 9),
  dh-autoreconf,
- libpng12-dev,
+ libpng-dev,
  libsamplerate0-dev,
  libsdl-mixer1.2-dev (>= 1.2.0-1.1),
  libsdl-net1.2-dev (>= 1.2.0-5.1),

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,defs

debian/chocolate-doom.xpm: data/doom.png
	convert -resize 32x32 $^ $@

debian/chocolate-setup.xpm: data/setup.png
	convert -resize 32x32 $^ $@

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-silent-rules

override_dh_auto_install:
	dh_auto_install --max-parallel=1 -- \
		SETUP_BINARIES=chocolate-setup \
		DOC_FILES="README README.Music PHILOSOPHY TODO"

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_install:
	dh_install --list-missing

## chocolate-doom 2.3.0

=== debian/changelog ===
chocolate-doom (2.3.0-3) unstable; urgency=medium

  * debian/rules: remove --parallel and --with=autoreconf, which are
    defaults for debhelper compat level >= 10
  * Promote zenity from Suggests: to Recommends:. This ensures that error
    messages will be displayed when trying to launch the engines from
    a graphical menu system, such as when an IWAD is not detected.
    Closes: #850427.

 -- Jonathan Dowland <jmtd@debian.org>  Fri, 27 Jan 2017 07:37:30 +0000

chocolate-doom (2.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Fabian Greffrath <fabian@debian.org>  Wed, 11 Jan 2017 17:02:51 +0100

chocolate-doom (2.3.0-1) experimental; urgency=medium

  * New upstream version 2.3.0
  * Remove patches, applied upstream.
  * Account for upstream renaming of some documentation files
    (i.e. add ".md"-suffixes).
  * Keep installing the game executables into /usr/games.
  * Install bash-completions.
  * Bump debhelper compat level to 10.
  * Remove XPM icons and Debian menu files.
  * Update Vcs-* fields to secure URIs.
  * Add a lintian-override for a spelling error that is already
    present in Vanilla HEXEN.EXE

 -- Fabian Greffrath <fabian@debian.org>  Thu, 05 Jan 2017 15:03:34 +0100

chocolate-doom (2.2.1-5) unstable; urgency=medium

  [ Jonathan Dowland ]
  * Consolidate all the binary packages into one, which lives in
    main. This should finally work around #824169.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 24 Dec 2016 12:33:32 +0100

chocolate-doom (2.2.1-4) unstable; urgency=medium

  * Update my name in debian/control.
  * Bump standards version (no changes needed).
  * New Debian version upload to attempt to resolve #824169.

 -- Jonathan Dowland <jmtd@debian.org>  Mon, 12 Dec 2016 15:09:28 +0000

chocolate-doom (2.2.1-3) unstable; urgency=medium

  * Demote Recommends on contrib packages chocolate-{heretic,hexen,strife}
    to Suggests, thanks Mathieu Malaterre and Jakub Wilk
    (Closes: #822845, #822847).

 -- Fabian Greffrath <fabian@debian.org>  Sat, 30 Apr 2016 22:07:54 +0200

=== debian/control ===
Source: chocolate-doom
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Jonathan Dowland <jmtd@debian.org>,
 Fabian Greffrath <fabian@debian.org>
Build-Depends:
 debhelper (>= 10),
 bash-completion,
 dh-autoreconf,
 libpng-dev,
 libsamplerate0-dev,
 libsdl-mixer1.2-dev (>= 1.2.0-1.1),
 libsdl-net1.2-dev (>= 1.2.0-5.1),
 libsdl1.2-dev (>= 1.2.2-3.1),
 python (>= 2.5)
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-games/chocolate-doom.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/chocolate-doom.git/
Homepage: http://chocolate-doom.org/

Package: chocolate-doom
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freedm | game-data-packager,
 zenity
Provides:
 chocolate-heretic,
 chocolate-hexen,
 chocolate-strife,
 doom-engine,
 heretic-engine,
 hexen-engine,
 strife-engine
Breaks:
 freedm (<< 0.9),
 freedoom (<< 0.6.4-4),
 chocolate-heretic (<< 2.2.1-5~),
 chocolate-hexen (<< 2.2.1-5~),
 chocolate-strife (<< 2.2.1-5~),
 chocolate-common (<< 2.2.1-5~)
Replaces:
 chocolate-heretic (<< 2.2.1-5~),
 chocolate-hexen (<< 2.2.1-5~),
 chocolate-strife (<< 2.2.1-5~),
 chocolate-common (<< 2.2.1-5~)
Description: Doom engines closely-compatible with Vanilla Doom
 Chocolate Doom aims to accurately reproduce the original DOS version of
 Doom and other games based on the Doom engine in a form that can be
 run on modern computers. Unlike most modern Doom engines, Chocolate Doom
 is not derived from the Boom source port and does not inherit its
 features (or bugs).
 .
 This package contains:
  * Chocolate Doom, a port of Id Software's "Doom" (1993)
  * Chocolate Heretic, a port of Raven Software's "Heretic" (1994)
  * Chocolate Hexen, a port of Raven Software's "Hexen" (1995)
  * Chocolate Strife, a recreation of Rogue Entertainment's "Strife" (1996)
 .
 These games are designed to behave as similar to the original DOS version as
 is possible.
 .
 Chocolate Doom supports all flavors of Doom, including The Ultimate Doom, Doom
 2 and Final Doom as well as Chex(R) Quest, HACX and FreeDM.
 .
 All Chocolate game engines require game data to play. For Chocolate Doom,
 free game data is available in the freedm package. Commercial game data for
 all four engines can be packaged using "game-data-packager".

Package: chocolate-common
Architecture: all
Depends: chocolate-doom (>= 2.2.1-5~), ${misc:Depends}
Section: oldlibs
Priority: extra
Description: dummy transitional package for chocolate-doom related packages
 This is a transitional package and can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,defs

%:
	dh $@ --with bash-completion

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-silent-rules

override_dh_auto_install:
	dh_auto_install --max-parallel=1 -- \
		SETUP_BINARIES=chocolate-setup \
		DOC_FILES="README.md README.Music.md PHILOSOPHY.md TODO.md" \
		execgamesdir=/usr/games

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

override_dh_install:
	dh_install --list-missing

## chocolate-doom 3.0.0

=== debian/changelog ===
chocolate-doom (3.0.0-3) unstable; urgency=medium

  * Update Vcs-* to point to salsa.debian.org.
  * Add two further patches from upstream:
    + Fix a spelling error in Hexen.
    + Fix spurious ACS assertion failures which were
      mistakenly added to Hexen.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 22 Jan 2018 17:47:41 +0100

chocolate-doom (3.0.0-2) unstable; urgency=medium

  * Add patches from upstream to add bounds checking to the
    ACS implementation in Chocolate Hexen.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 09 Jan 2018 20:46:05 +0100

chocolate-doom (3.0.0-1) unstable; urgency=medium

  * New upstream version 3.0.0
  * Bump Build-Depends to the SDL2 versions of the libraries.
  * Remove Recommends: zenity.
  * Move transitional chocolate-common package from oldlibs/extra to optional.
  * Enable all hardening flags.
  * Remove useless Build-Depends: dh-autoreconf.
  * Remove trailing whitespace from debian/changelog.
  * Install AppStream metadata into /usr/share/metainfo.
  * Bump Standards-Version to 4.1.2.

 -- Fabian Greffrath <fabian@debian.org>  Wed, 03 Jan 2018 12:05:59 +0100

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,15 @@
 Build-Depends:
  debhelper (>= 10),
  bash-completion,
- dh-autoreconf,
  libpng-dev,
  libsamplerate0-dev,
- libsdl-mixer1.2-dev (>= 1.2.0-1.1),
- libsdl-net1.2-dev (>= 1.2.0-5.1),
- libsdl1.2-dev (>= 1.2.2-3.1),
+ libsdl2-mixer-dev (>= 2.0.0),
+ libsdl2-net-dev (>= 2.0.0),
+ libsdl2-dev (>= 2.0.1),
  python (>= 2.5)
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/chocolate-doom.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/chocolate-doom.git/
+Standards-Version: 4.1.2
+Vcs-Git: https://salsa.debian.org/games-team/chocolate-doom.git
+Vcs-Browser: https://salsa.debian.org/games-team/chocolate-doom
 Homepage: http://chocolate-doom.org/
 
 Package: chocolate-doom
@@ -26,8 +25,7 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
- freedm | game-data-packager,
- zenity
+ freedm | game-data-packager
 Provides:
  chocolate-heretic,
  chocolate-hexen,
@@ -75,6 +73,5 @@
 Architecture: all
 Depends: chocolate-doom (>= 2.2.1-5~), ${misc:Depends}
 Section: oldlibs
-Priority: extra
 Description: dummy transitional package for chocolate-doom related packages
  This is a transitional package and can be safely removed.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,defs
 
 %:
@@ -13,7 +14,8 @@
 	dh_auto_install --max-parallel=1 -- \
 		SETUP_BINARIES=chocolate-setup \
 		DOC_FILES="README.md README.Music.md PHILOSOPHY.md TODO.md" \
-		execgamesdir=/usr/games
+		execgamesdir=/usr/games \
+		appdatadir=/usr/share/metainfo
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS.md

## chocolate-doom 3.0.0.1

=== debian/changelog ===
chocolate-doom (3.0.0.1-1) unstable; urgency=medium

  * update

 -- Debian Games Team <pkg-games-devel@lists.alioth.debian.org>  Mon, 07 Jun 2021 09:51:48 +0800

chocolate-doom (3.0.0-4) unstable; urgency=medium

  * Backport patch from upstream GIT to build bash-completion
    from actual shell script templates (Closes: #890421).
  * Bump debhelper compat to 11.
  * Bump Standards-Version to 4.1.3.
  * Use secure debian/copyright format URI.

 -- Fabian Greffrath <fabian@debian.org>  Wed, 14 Feb 2018 22:16:30 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Jonathan Dowland <jmtd@debian.org>,
  Fabian Greffrath <fabian@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  bash-completion,
  libpng-dev,
  libsamplerate0-dev,
@@ -14,7 +14,7 @@
  libsdl2-net-dev (>= 2.0.0),
  libsdl2-dev (>= 2.0.1),
  python (>= 2.5)
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Vcs-Git: https://salsa.debian.org/games-team/chocolate-doom.git
 Vcs-Browser: https://salsa.debian.org/games-team/chocolate-doom
 Homepage: http://chocolate-doom.org/

=== debian/watch ===
version=3
opts="uversionmangle=s/-/~/" \
https://github.com/chocolate-doom/chocolate-doom/releases \
/chocolate-doom/chocolate-doom/archive/chocolate-doom-(.*)\.tar\.gz

## chocolate-doom 3.0.1

=== debian/changelog ===
chocolate-doom (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1
    + Fixes CVE-2020-14983.
  * Add patch from upstream to fix a warning when the specified bound
    passed to a strncpy() call equals the destination size.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 26 Jun 2020 08:53:35 +0200

chocolate-doom (3.0.0-6) unstable; urgency=medium

  [ Jonathan Dowland ]
  * Remove myself from Uploaders.

  [ Fabian Greffrath ]
  * Add patch from upstream to remove redundant "demoextend" definition,
    fixes FTBFS with gcc-10 (Closes: #957085).

 -- Fabian Greffrath <fabian@debian.org>  Fri, 17 Apr 2020 21:25:27 +0200

chocolate-doom (3.0.0-5) unstable; urgency=medium

  * Team upload.
  * Drop the transitional chocolate-common package; it’s been included in
    Debian 9 and 10 and is therefore no longer needed. Closes: #939143.
  * Use Python 3 in the build. Closes: #936301.
  * Ensure the fonts are re-built, and clean them to allow building twice
    in a row.
  * Switch to debhelper compatibility level 12.
  * Set “Rules-Requires-Root: no”.
  * Install the upstream release notes as NEWS.gz instead of changelog.gz
    (Policy 12.7 since version 4.2.0).
  * Standards-Version 4.4.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 02 Sep 2019 12:13:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,22 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders:
- Jonathan Dowland <jmtd@debian.org>,
- Fabian Greffrath <fabian@debian.org>
+Uploaders: Fabian Greffrath <fabian@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  bash-completion,
  libpng-dev,
  libsamplerate0-dev,
  libsdl2-mixer-dev (>= 2.0.0),
  libsdl2-net-dev (>= 2.0.0),
  libsdl2-dev (>= 2.0.1),
- python (>= 2.5)
-Standards-Version: 4.1.3
+ python3,
+ python3-pil
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/games-team/chocolate-doom.git
 Vcs-Browser: https://salsa.debian.org/games-team/chocolate-doom
 Homepage: http://chocolate-doom.org/
+Rules-Requires-Root: no
 
 Package: chocolate-doom
 Architecture: any
@@ -68,10 +68,3 @@
  All Chocolate game engines require game data to play. For Chocolate Doom,
  free game data is available in the freedm package. Commercial game data for
  all four engines can be packaged using "game-data-packager".
-
-Package: chocolate-common
-Architecture: all
-Depends: chocolate-doom (>= 2.2.1-5~), ${misc:Depends}
-Section: oldlibs
-Description: dummy transitional package for chocolate-doom related packages
- This is a transitional package and can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,defs

%:
	dh $@ --with bash-completion

override_dh_auto_install:
	dh_auto_install --max-parallel=1 --destdir=debian/tmp/ -- \
		SETUP_BINARIES=chocolate-setup \
		DOC_FILES="README.md README.Music.md PHILOSOPHY.md TODO.md" \
		execgamesdir=/usr/games \
		appdatadir=/usr/share/metainfo

override_dh_installchangelogs:
	dh_installchangelogs -XChangeLog
	cp NEWS.md debian/chocolate-doom/usr/share/doc/chocolate-doom/NEWS

override_dh_missing:
	dh_missing --list-missing
